# Generated by Django 5.0.4 on 2024-05-10 08:35

from django.db import migrations

from shared.blocks import SocialLinkBlock


def add_social_media_items(apps, schema_editor):
    DistrictHomePage = apps.get_model("district", "DistrictHomePage")

    for home_page in DistrictHomePage.objects.all():
        if home_page.forum:
            home_page.social_links.append(
                (
                    "social_links",
                    SocialLinkBlock().to_python(
                        {
                            "icon": "ico--bubbles",
                            "text": "Fórum",
                            "link": home_page.forum,
                        }
                    ),
                )
            )

        if home_page.instagram:
            home_page.social_links.append(
                (
                    "social_links",
                    SocialLinkBlock().to_python(
                        {
                            "icon": "ico--instagram",
                            "text": "Instagram",
                            "link": home_page.instagram,
                        }
                    ),
                )
            )

        if home_page.twitter:
            home_page.social_links.append(
                (
                    "social_links",
                    SocialLinkBlock().to_python(
                        {
                            "icon": "ico--twitter",
                            "text": "Twitter",
                            "link": home_page.twitter,
                        }
                    ),
                )
            )

        if home_page.facebook:
            home_page.social_links.append(
                (
                    "social_links",
                    SocialLinkBlock().to_python(
                        {
                            "icon": "ico--facebook",
                            "text": "Facebook",
                            "link": home_page.facebook,
                        }
                    ),
                )
            )

        if home_page.youtube:
            home_page.social_links.append(
                (
                    "social_links",
                    SocialLinkBlock().to_python(
                        {
                            "icon": "ico--youtube",
                            "text": "YouTube",
                            "link": home_page.youtube,
                        }
                    ),
                )
            )

        if home_page.flickr:
            home_page.social_links.append(
                (
                    "social_links",
                    SocialLinkBlock().to_python(
                        {
                            "icon": "ico--flickr",
                            "text": "Flickr",
                            "link": home_page.flickr,
                        }
                    ),
                )
            )

        home_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0145_auto_20240509_1642"),
    ]

    operations = [migrations.RunPython(add_social_media_items)]
