# Generated by Django 5.0.7 on 2024-08-26 19:49

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0117_alter_mainprogrampage_perex"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainprogrampage",
            name="program",
            field=wagtail.fields.StreamField(
                [
                    (
                        "program_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "url",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz pokrývající celou tuto část",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek článku programu"
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        features=[
                                                            "h3",
                                                            "h4",
                                                            "h5",
                                                            "bold",
                                                            "italic",
                                                            "ol",
                                                            "ul",
                                                            "hr",
                                                            "link",
                                                            "document-link",
                                                            "image",
                                                            "superscript",
                                                            "subscript",
                                                            "strikethrough",
                                                            "blockquote",
                                                            "embed",
                                                        ],
                                                        label="Obsah",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Jednotlivé články programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_crossroad",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Krátký text pod nadpisem",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "main.MainArticlesPage",
                                                            "main.MainArticlePage",
                                                            "main.MainProgramPage",
                                                            "main.MainPeoplePage",
                                                            "main.MainPersonPage",
                                                            "main.MainSimplePage",
                                                            "main.MainContactPage",
                                                            "main.MainCrossroadPage",
                                                        ],
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Karty programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_popout",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "preamble",
                                    wagtail.blocks.RichTextBlock(
                                        help_text="Zobrazí se nad přepínačem mezi kandidáty a programem.",
                                        label="Preambule",
                                        required=False,
                                    ),
                                ),
                                (
                                    "categories",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Popis", required=False
                                                    ),
                                                ),
                                                (
                                                    "point_list",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek vyskakovacího bloku"
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.RichTextBlock(
                                                                        features=[
                                                                            "h3",
                                                                            "h4",
                                                                            "h5",
                                                                            "bold",
                                                                            "italic",
                                                                            "ol",
                                                                            "ul",
                                                                            "hr",
                                                                            "link",
                                                                            "document-link",
                                                                            "image",
                                                                            "superscript",
                                                                            "subscript",
                                                                            "strikethrough",
                                                                            "blockquote",
                                                                            "embed",
                                                                        ],
                                                                        label="Obsah",
                                                                    ),
                                                                ),
                                                                (
                                                                    "guarantor",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Garant",
                                                                        page_type=[
                                                                            "district.DistrictPersonPage"
                                                                        ],
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                        label="Jednotlivé bloky programu",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kategorie programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "elections_program",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "program_page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka",
                                        page_type=[
                                            "elections.ElectionsFullProgramPage"
                                        ],
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Programy",
            ),
        ),
    ]
